Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsBooking flow
Query availabilitySearch availabilityBookAttribute options assigned to each unit
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"option_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T05:27:42.573Z"
}idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
200A list of product attribute options with the selected columns
206Partial Content
GET /product_attribute_optionscurl -X GET "https://api.bookingmood.com/v1/product_attribute_options?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<ProductAttributeOption> | Array<Partial<ProductAttributeOption>>201The newly created product attribute options with the selected columns
POST /product_attribute_optionscurl -X POST "https://api.bookingmood.com/v1/product_attribute_options" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
204The deleted product attribute options with the selected columns
DELETE /product_attribute_optionscurl -X DELETE "https://api.bookingmood.com/v1/product_attribute_options" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
Partial<ProductAttributeOption>204The updated product attribute options with the selected columns
PATCH /product_attribute_optionscurl -X PATCH "https://api.bookingmood.com/v1/product_attribute_options" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'